Zone (CMDB Model API)
Keywords: com.collation.platform.model.topology.storage.Zone interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.storage
Interface Zone

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Zone

extends LogicalElement, ConfigurationItem

Object representing fibre channel (FC) storage area network (SAN) Zones

Naming Rules:
  0="name,active" 1="managedSystemName"
Persistable:
  true
Table Name:
  FCZONE
Top Level:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`boolean` | `getActive()` Flag that indicates whether the zone is active
`FCPort[]` | `getFiberChannelPorts()` The Fibre Channel Ports belonging to the zone
`ZoneMember[]` | `getMembers()` The Members of this Zone
`java.lang.String` | `getName()` A unique name for the zone
`Fabric` | `getParent()` The fabric that this zone is contained in
`boolean` | `hasActive()`
`boolean` | `hasFiberChannelPorts()`
`boolean` | `hasMembers()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`void` | `setActive(boolean active)`
`void` | `setFiberChannelPorts(FCPort[] ports)`
`void` | `setMembers(ZoneMember[] members)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(Fabric parent)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getParent

    Fabric getParent()
                     throws AttributeNotSetException

  The fabric that this zone is contained in

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(Fabric parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  A unique name for the zone

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getFiberChannelPorts

    FCPort[] getFiberChannelPorts()
                                  throws AttributeNotSetException

  The Fibre Channel Ports belonging to the zone

  Throws:
    `AttributeNotSetException`

### setFiberChannelPorts

    void setFiberChannelPorts(FCPort[] ports)

### hasFiberChannelPorts

    boolean hasFiberChannelPorts()

### getActive

    boolean getActive()
                      throws AttributeNotSetException

  Flag that indicates whether the zone is active

  Throws:
    `AttributeNotSetException`

### setActive

    void setActive(boolean active)

### hasActive

    boolean hasActive()

### getMembers

    ZoneMember[] getMembers()
                            throws AttributeNotSetException

  The Members of this Zone

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setMembers

    void setMembers(ZoneMember[] members)

### hasMembers

    boolean hasMembers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD